/*
 * P2P-MapReduce
 *
 * Copyright (C) 2011 University of Calabria
 * Dept. of Electronics, Computer Science and Systems
 */
package p2pMapReduce.gui;

import p2pMapReduce.mapreduceModule.TaskAttemptID;

/**
 *
 * @author Francesco De Luca f.deluca86@gmail.com
 */
public class TaskAttIDRenderer  {

    JobIDRenderer jobIdRenderer;

    public TaskAttIDRenderer(JobIDRenderer jobIdRenderer) {
        this.jobIdRenderer = jobIdRenderer;
    }

    public String render(TaskAttemptID taskAttID) {

        String jobID = jobIdRenderer.render(taskAttID.getJobID());
        String taskID = taskAttID.toString().substring(taskAttID.toString().lastIndexOf(jobID)+jobID.length());
        return jobID + taskID;
    }
}
