/*
 * P2P-MapReduce
 *
 * Copyright (C) 2011 University of Calabria
 * Dept. of Electronics, Computer Science and Systems
 */
package p2pMapReduce.nodeModule.event;

/**
 * Abstract implementation of Event interface.
 * @deprecated Not useful
 * @author Francesco De Luca f.deluca86@gmail.com
 */
public abstract class AbstractEvent implements EventIF {

    private EventType type;

    public AbstractEvent() {
    }

    public AbstractEvent(EventType type) {
        this.type = type;
    }

    public EventType getType() {
        return type;
    }

    public void setType(EventType type) {
        this.type = type;
    }

    @Override
    public String toString() {
        String s = "Type=" + type.toString() + " Params: ";
        for (Object o : getParams()) {
            s += o.toString() + " ";
        }
        return s;
    }
}
