/*
 * P2P-MapReduce
 *
 * Copyright (C) 2011 University of Calabria
 * Dept. of Electronics, Computer Science and Systems
 */
package p2pMapReduce.entity;

import p2pMapReduce.mapreduceModule.conf.Configuration;
import p2pMapReduce.nodeModule.NodeModuleIF;
import p2pMapReduce.mapreduceModule.TaskAttemptID;

/**
 * 
 * @author Francesco De Luca f.deluca86@gmail.com
 */
public class MapTask extends Task {

    public MapTask(String taskAttID) {
        super(taskAttID);
    }

    public MapTask(Configuration conf, TaskAttemptID taskAttID) {
        super(conf, taskAttID);
    }

    @Override
    public TaskRunner createTaskRunner(SlaveTask slaveTask,NodeModuleIF nodeModule) {
        return new MapTaskRunner(slaveTask, nodeModule);
    }
}
