/*
 * P2P-MapReduce
 *
 * Copyright (C) 2011 University of Calabria
 * Dept. of Electronics, Computer Science and Systems
 */
package p2pMapReduce.gui;

import p2pMapReduce.mapreduceModule.JobID;

/**
 *
 * @author Francesco De Luca f.deluca86@gmail.com
 */
public class JobIDRenderer {

    int idLenght;

    public JobIDRenderer(int idLenght) {
        this.idLenght = idLenght;
    }

    public String render(JobID jobId) {
        return jobId.toString().substring(Math.max(0,jobId.toString().length() - idLenght));

    }
}
