/*
 * P2P-MapReduce
 *
 * Copyright (C) 2011 University of Calabria
 * Dept. of Electronics, Computer Science and Systems
 */
package p2pMapReduce.networkModule;

import p2pMapReduce.impl.networkModule.jxta.JxtaNetworkModule;

/**
 * Provide a concrete implementation of the {@link NetworkModuleIF} interface.
 * 
 * @author Francesco De Luca f.deluca86@gmail.com
 */
public class NetworkModuleFactory {

    public static NetworkModuleIF newNetworkModule(NetworkConfiguration networkConfiguration){
        return new JxtaNetworkModule(networkConfiguration);
    }
}
